package net.knarcraft.paidsigns.formatting;

/**
 * An enum representing all translatable messages
 */
public enum TranslatableMessage {

    /**
     * The prefix to display in messages
     */
    PREFIX,

    /**
     * The message to display when a paid sign is successfully added
     */
    SUCCESS_ADDED_PAID_SIGN,

    /**
     * The message to display when a paid sign condition is successfully added
     */
    SUCCESS_ADDED_PAID_SIGN_CONDITION,

    /**
     * The info text used to display all paid signs
     */
    PAID_SIGNS_INFO,

    /**
     * The format used for displaying a paid sign's name
     */
    PAID_SIGNS_INFO_FORMAT,

    /**
     * The info text used to display information about a paid sign
     */
    PAID_SIGN_INFO,

    /**
     * The info text used to display information about a paid sign condition
     */
    PAID_SIGN_CONDITION_INFO,

    /**
     * The format used for displaying one of a paid sign's conditions
     */
    PAID_SIGN_INFO_CONDITION_FORMAT,

    /**
     * The message to display for a true boolean value
     */
    BOOLEAN_TRUE,

    /**
     * The message to display for a false boolean value
     */
    BOOLEAN_FALSE,

    /**
     * The error to display when a command argument contains an invalid number
     */
    ERROR_INVALID_NUMBER,

    /**
     * The error to display if a paid sign name duplicate is encountered
     */
    ERROR_NAME_DUPLICATE,

    /**
     * The error to display if a severe exception occurs
     */
    ERROR_EXCEPTION_OCCURRED,

    /**
     * The error to display if some input is invalid
     */
    ERROR_INVALID_INPUT,

    /**
     * The error to display if a specified paid sign is not found
     */
    ERROR_PAID_SIGN_NOT_FOUND,

    /**
     * The error to display if a paid sign condition is specified, but does not exist
     */
    ERROR_NO_SUCH_CONDITION,

}
