package net.knarcraft.paidsigns.listener;

import net.knarcraft.paidsigns.PaidSigns;
import net.knarcraft.paidsigns.manager.TrackedSignManager;
import org.bukkit.block.Sign;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.block.BlockBreakEvent;

import java.io.IOException;
import java.util.Arrays;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * A listener that listens for any tracked signs being broken
 */
public class BlockBreakListener implements Listener {

    @EventHandler(priority = EventPriority.MONITOR)
    public void onBlockBreak(BlockBreakEvent event) {
        if (event.getBlock().getState() instanceof Sign) {
            try {
                TrackedSignManager.removeTrackedSign(event.getBlock().getLocation());
            } catch (IOException e) {
                e.printStackTrace();
                Logger logger = PaidSigns.getInstance().getLogger();
                logger.log(Level.SEVERE, "Exception encountered while trying to write to the data file");
                logger.log(Level.SEVERE, Arrays.toString(e.getStackTrace()));
            }
        }
    }

}
